### Method

# EDataServer SoupSession get_source

since: 3.26

#### Declaration [src]

    ESource*
    e_soup_session_get_source (
      ESoupSession* session
    )

#### Description [src]

Returns an `ESource` associated with the `session`, if such was set in the creation time.

Available since: 3.26

Gets property | `EDataServer.SoupSession:source`

#### Return value

Type: `ESource`

Associated `ESource` with the `session`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.